# boost::redis::config::read_buffer_append_size

Grow size of the read buffer.

## Synopsis

Declared in `<boost/redis/config.hpp>`

    std::size_t read_buffer_append_size = 4096;

## Description

The size by which the read buffer grows when more space is needed. This can help avoiding some memory allocations. Once the maximum size is reached no more memory allocations are made since the buffer is reused.

Created with MrDocs